--<ScriptOptions statementTerminator=";"/>

DROP VIEW "analysis_service"."run_synopsis";

DROP VIEW "analysis_service"."current_cost_summaries";

DROP VIEW "analysis_service"."analysis_disciplines";

DROP VIEW "analysis_service"."history_cost_summaries";

DROP VIEW "analysis_service"."current_run_summaries";

DROP VIEW "analysis_service"."current_analysis_summaries";

DROP VIEW "analysis_service"."run_details";

DROP VIEW "analysis_service"."analysis_categories";

DROP VIEW "analysis_service"."analysis_disciplines";

DROP VIEW "analysis_service"."analysis_category_persona_dashboards";

DROP VIEW "analysis_service"."run_recommendations";

DROP VIEW "analysis_service"."host_details";

DROP VIEW "analysis_service"."analysis_category_persona_dashboards";

DROP VIEW "analysis_service"."analysis_personas";

DROP VIEW "analysis_service"."analysis_dashboards";

DROP VIEW "analysis_service"."history_analysis_summaries";

DROP VIEW "analysis_service"."analysis_dashboards";

DROP VIEW "analysis_service"."analysis_category_personas";

DROP VIEW "analysis_service"."analysis_categories";

DROP VIEW "analysis_service"."history_run_summaries";

DROP VIEW "analysis_service"."analysis_category_personas";

CREATE VIEW "analysis_service"."run_synopsis" (localeId, id, scenarioID, synopsisText) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."current_cost_summaries" (severity, runID, scenPK, scenarioID, scenarioStartTime, scenarioEndTime, localeId, visibleNameLocale, visibleName, descriptionLocale, description, category, categoryID, runErrorStatus, resultType, displayValue) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_disciplines" (disciplineID, discipline, name, description) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."history_cost_summaries" (runID, scenPK, scenarioID, scenarioStartTime, scenarioEndTime, localeId, visibleNameLocale, visibleName, descriptionLocale, description, category, categoryID, runErrorStatus, resultType, displayValue) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."current_run_summaries" (severity, runID, scenPK, scenarioID, scenarioStartTime, scenarioEndTime, localeId, visibleNameLocale, visibleName, descriptionLocale, description, category, categoryID, scenarioType, runErrorStatus, resultType, displayValue) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."current_analysis_summaries" (severity, runID, scenPK, scenarioID, scenarioStartTime, scenarioEndTime, localeId, visibleNameLocale, visibleName, descriptionLocale, description, category, categoryID, runErrorStatus, resultType, displayValue) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."run_details" (runID, metricName) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_categories" (categoryID, category, name, description) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_disciplines" (disciplineID, discipline, name, description) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_category_persona_dashboards" (categoryID, category, categoryName, categoryDesc, personaID, persona, personaName, personaDesc, dashboardID, dashboard, dashboardName, dashboardDesc) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."run_recommendations" (localeId, name, id, scenarioID, severity, recommendationText) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."host_details" (hostPK, internalID, uiTitle, mhType, pName, pValue) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_category_persona_dashboards" (categoryID, category, categoryName, categoryDesc, personaID, persona, personaName, personaDesc, dashboardID, dashboard, dashboardName, dashboardDesc) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_personas" (personaID, persona, name, description) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_dashboards" (dashboardID, dashboard, name, description) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."history_analysis_summaries" (runID, scenPK, scenarioID, scenarioStartTime, scenarioEndTime, localeId, visibleNameLocale, visibleName, descriptionLocale, description, category, categoryID, runErrorStatus, resultType, displayValue) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_dashboards" (dashboardID, dashboard, name, description) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_category_personas" (categoryID, category, categoryName, categoryDesc, personaID, persona, personaName, personaDesc) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_categories" (categoryID, category, name, description) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."history_run_summaries" (runID, scenPK, scenarioID, scenarioStartTime, scenarioEndTime, localeId, visibleNameLocale, visibleName, descriptionLocale, description, category, categoryID, scenarioType, runErrorStatus, resultType, displayValue) 
WITH CASCADED CHECK OPTION;

CREATE VIEW "analysis_service"."analysis_category_personas" (categoryID, category, categoryName, categoryDesc, personaID, persona, personaName, personaDesc) 
WITH CASCADED CHECK OPTION;

